package com.steerinfo.ems.tcm0350.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TCm0350 implements IBasePO<String> {
    /**
     * 处罚单编号(PUNISHNO,VARCHAR,400)
     */
    @ApiModelProperty(value="处罚单编号",required=false)
    private String punishno;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=true)
    private String recordid;

    /**
     * 日期(CREATTIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="日期",required=true)
    private Date creattime;

    /**
     * 能介系统(MEDIUMTYPE,VARCHAR,400)
     */
    @ApiModelProperty(value="能介系统",required=true)
    private String mediumtype;

    /**
     * 处罚单位(PUNISHUNIT,VARCHAR,400)
     */
    @ApiModelProperty(value="处罚单位",required=true)
    private String punishunit;

    /**
     * 联系电话(TEL,VARCHAR,400)
     */
    @ApiModelProperty(value="联系电话",required=true)
    private String tel;

    /**
     * 整改原因(PUNISHREASON,VARCHAR,400)
     */
    @ApiModelProperty(value="整改原因",required=true)
    private String punishreason;

    /**
     * 整改内容(PUNISHDESC,VARCHAR,400)
     */
    @ApiModelProperty(value="整改内容",required=true)
    private String punishdesc;

    /**
     * 备注(NOTE,VARCHAR,4000)
     */
    @ApiModelProperty(value="备注",required=true)
    private String note;

    /**
     * 处理人(HANDLEMAN,VARCHAR,400)
     */
    @ApiModelProperty(value="处理人",required=true)
    private String handleman;

    /**
     * 处理时间(HANDLETIME,VARCHAR,400)
     */
    @ApiModelProperty(value="处理时间",required=true)
    private String handletime;

    /**
     * 单据状态(BILLSTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="单据状态",required=true)
    private String billstatus;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.punishno;
    }

    @Override
    public void setId(String punishno) {
        this.punishno = punishno == null ? null : punishno.trim();
    }

    public String getPunishno() {
        return punishno;
    }

    public void setPunishno(String punishno) {
        this.punishno = punishno == null ? null : punishno.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public Date getCreattime() {
        return creattime;
    }

    public void setCreattime(Date creattime) {
        this.creattime = creattime;
    }

    public String getMediumtype() {
        return mediumtype;
    }

    public void setMediumtype(String mediumtype) {
        this.mediumtype = mediumtype == null ? null : mediumtype.trim();
    }

    public String getPunishunit() {
        return punishunit;
    }

    public void setPunishunit(String punishunit) {
        this.punishunit = punishunit == null ? null : punishunit.trim();
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel == null ? null : tel.trim();
    }

    public String getPunishreason() {
        return punishreason;
    }

    public void setPunishreason(String punishreason) {
        this.punishreason = punishreason == null ? null : punishreason.trim();
    }

    public String getPunishdesc() {
        return punishdesc;
    }

    public void setPunishdesc(String punishdesc) {
        this.punishdesc = punishdesc == null ? null : punishdesc.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getHandleman() {
        return handleman;
    }

    public void setHandleman(String handleman) {
        this.handleman = handleman == null ? null : handleman.trim();
    }

    public String getHandletime() {
        return handletime;
    }

    public void setHandletime(String handletime) {
        this.handletime = handletime == null ? null : handletime.trim();
    }

    public String getBillstatus() {
        return billstatus;
    }

    public void setBillstatus(String billstatus) {
        this.billstatus = billstatus == null ? null : billstatus.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", punishno=").append(punishno);
        sb.append(", recordid=").append(recordid);
        sb.append(", creattime=").append(creattime);
        sb.append(", mediumtype=").append(mediumtype);
        sb.append(", punishunit=").append(punishunit);
        sb.append(", tel=").append(tel);
        sb.append(", punishreason=").append(punishreason);
        sb.append(", punishdesc=").append(punishdesc);
        sb.append(", note=").append(note);
        sb.append(", handleman=").append(handleman);
        sb.append(", handletime=").append(handletime);
        sb.append(", billstatus=").append(billstatus);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}